Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libmpeg2
Version:	0.5.1
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://libmpeg2.sourceforge.net
Group:		System/Libraries
Source0:	libmpeg2-%{version}.tar.gz
Patch0:		libmpeg2-nodebug.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	A free MPEG-2 video stream decoder.

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXv-devel
BuildRequires: SDL-devel

%description
libmpeg2 is a library for decoding MPEG-1 and MPEG-2 video streams.
Its main goals are standards conformance, speed, portability, and reuseability.
The package also includes mpeg2dec, a small test program for libmpeg2.
For more details see: http://libmpeg2.sourceforge.net

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix \
				--mandir=%_mandir \
				--enable-shared \
				--disable-dependency-tracking \
				--disable-debug
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_mandir
%_libdir/*.so.0.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_libdir/*.so.0
%_libdir/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Feb 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.5.1-1
- Version update
* Tue Sep 06 2005 Christian Wasem <wasem@ccux-linux.de> 0.4.0b-2
- rebuild for SourceRPM
